﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=8.3
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Public SQLLog As SQL
	Private tmrCheck As Timer 
	Private teller As Int 
End Sub

Sub Service_Create
	'This is the program entry point.
	'This is a good place to load resources that are not specific to a single activity.
	Dim rp As RuntimePermissions
	tmrCheck.Initialize("tmrCheck",30 * DateTime.TicksPerSecond)
	tmrCheck.Enabled = True 
	SQLLog.Initialize(rp.GetSafeDirDefaultExternal(""), "checkinternetlog.db", True)
	CreateTables
	teller = 0 
End Sub
Sub CreateTables
	SQLLog.ExecNonQuery("CREATE TABLE IF NOT EXISTS logcheckinternet (datum INTEGER, result TEXT)")
	SQLLog.ExecNonQuery("DELETE FROM logcheckinternet")
	 
End Sub
Sub InsertLogNotification(s_log As String )
	
	SQLLog.ExecNonQuery2("INSERT INTO logcheckinternet (datum, result) VALUES(?, ?)", Array As Object(DateTime.Now, s_log))
	
End Sub
Sub CheckinternetReal() As ResumableSub
	teller = teller + 1 
	Dim j As HttpJob
	Dim returnvalue As Boolean = False
	j.Initialize("", Me)
	j.Download("https://www.google.com")
	Wait For (j) JobDone(j As HttpJob)
	If j.Success Then
		returnvalue=  j.Success
	Else
		returnvalue = j.success
	End If
	
	j.Release
	Return returnvalue
End Sub
Sub Service_Start (StartingIntent As Intent)
'	tmrCheckInternet.Initialize("tmrCheckInternet",30000)
'	tmrCheckInternet.Enabled = True
	'StartServiceAtExact(CheckInternet,DateTime.Now + 30*1000,True)
	Log("Starter Service started")
End Sub

Sub tmrCheck_Tick()
	Log("Checkinternet timer started")
	Wait For(CheckinternetReal) Complete (Result As Boolean)
	'Service.StopAutomaticForeground 'Call this when the background task completes (if there is one)
	Dim resultstring As String = teller & " Resultaat van download : " & Result
	InsertLogNotification(resultstring) 
	'If IsPaused(Main) = False Then 
		CallSubDelayed2(Main, "UpdateLabel",resultstring)
	'End If 
End Sub

Sub Service_TaskRemoved
	'This event will be raised when the user removes the app from the recent apps list.
End Sub

'Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy

End Sub
